package de.lmu.ifi.pst.uwejsf.framework;

import java.util.Map;

import javax.faces.event.ActionEvent;

public interface ItemWrapper {
	public Object getWrappedItem();

	public int getUweItemIndex();

	public String getUweContentType();

	public abstract void selectItem(ActionEvent ev);

	public void setIndexRowPropertyResolver(String name,
			IndexRowPropertyResolver resolver);

	public IndexRowPropertyResolver getIndexRowPropertyResolver(String name);

	public Map<String, IndexRowPropertyResolver> getIndexRowPropertyResolvers();

	public void setIndexRowPropertyResolvers(
			Map<String, IndexRowPropertyResolver> resolvers);
}
